Snag Docs logo

Reward badge for account

This endpoint allows you to reward a badge for an account

POSThttps://admin.snagsolutions.io/api/loyalty/badges/{id}/reward

This endpoint allows you to reward a badge for an account

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Path Parameters

idstring<uuid>required

UUID of the badge (converted to lowercase)

Body

Body

userIdstring<uuid>

UUID of the user (converted to lowercase)

walletAddressstring

Validated and formatted wallet address

status"active" | "inactive" | "revoked"

Status of the badge

Allowed values: "active" | "inactive" | "revoked"

Response

application/json

200

messagestringrequired

The message returned upon update of the badge

dataobjectrequired
data.idstring<uuid>required
data.userIdstring<uuid>required
data.loyaltyBadgeIdstring<uuid>required
data.status"active" | "inactive" | "revoked"required
Allowed values: "active" | "inactive" | "revoked"